OVERLAY_ELLIPSES(3)

FUNCTION
overlay_ellipses - Add many ellipses to an overlay list.

SYNOPSIS
#include <karma_overlay.h>

unsigned int overlay_ellipses

(KOverlayList olist, unsigned int num_ellipses, unsigned int *ctypes, double *cx, double *cy, unsigned int *rtypes, double *rx, double *ry, CONST char *colourname, flag filled)

DESCRIPTION
This routine will add a number of ellipses to an overlay object list. These ellipses will form a single object. Using this routine is far more efficient than calling <-overlay_ellipse-> repeatedly.

olist
    The overlay list object.

num_ellipses
    The number of ellipses.

ctypes
    The types of the centre co-ordinates. If this is NULL, all co-ordinates are assumed to be world co-ordinates. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

cx  The horizontal positions of the centre co-ordinates.

cy  The vertical positions of the centre co-ordinates.

rtypes
    The types of the radii co-ordinates. If this is NULL, all co-ordinates are assumed to be world co-ordinates. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

rx  The horizontal radii.

ry  The vertical radii.

colourname
    The colour name.

filled
    If TRUE the ellipses will be filled.

RETURN VALUE
The objectID on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/